* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background-color: #fff6ea;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 10px;
    height: 60px;
    background: rgba(15, 23, 42, 0.95);
    backdrop-filter: blur(10px);
}

.logo {
    color: #38bdf8;
    font-size: 22px;
    font-weight: bold;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
}

.nav-links li a {
    text-decoration: none;
    color: white;
    font-size: 16px;
    transition: 0.3s;
}

.nav-links li a:hover {
    color: #38bdf8;
}

.menu-btn {
    display: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
}








.hero {
    position: relative;
    width: 100%;
    height: 70vh;
    overflow: hidden;
}

.hero img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Overlay biar text lebih kebaca */
.hero::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
}

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    z-index: 2;
}

.hero-text h1 {
    font-size: 40px;
    margin-bottom: 15px;
    opacity: 0;
    transform: translateY(40px);
    animation: fadeUp 1s ease forwards;
}

.hero-text p {
    font-size: 20px;
    opacity: 0;
    transform: translateY(40px);
    animation: fadeUp 1s ease forwards;
    animation-delay: 0.4s;
}

@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}




.hero-btn {
    margin-top: 25px;
    opacity: 0;
    transform: translateY(40px);
    animation: fadeUp 1s ease forwards;
    animation-delay: 0.8s;
}

.btn-lokasi {
    display: inline-block;
    padding: 12px 30px;
    background: #38bdf8;
    color: white;
    text-decoration: none;
    font-weight: 600;
    border-radius: 50px;
    transition: 0.3s ease;
}

.btn-lokasi:hover {
    background: white;
    color: #0f172a;
    transform: scale(1.05);
}





.brand-section {
    background: #0f172a;
    padding: 20px 0;
    overflow: hidden;
}

.brand-slider {
    overflow: hidden;
    white-space: nowrap;
    margin: 20px 0;
}

.brand-track {
    display: flex;
    gap: 50px;
    width: max-content;
}

.brand-track img {
    height: 40px;
    filter: brightness(0) invert(1);
    opacity: 0.7;
    transition: 0.3s;
}

.brand-track img:hover {
    opacity: 1;
    transform: scale(1.1);
}

/* Animasi kiri */
.left .brand-track {
    animation: slideLeft 20s linear infinite;
}

/* Animasi kanan */
.right .brand-track {
    animation: slideRight 20s linear infinite;
}

@keyframes slideLeft {
    from { transform: translateX(0); }
    to { transform: translateX(-50%); }
}

@keyframes slideRight {
    from { transform: translateX(-50%); }
    to { transform: translateX(0); }
}